package cn.estsh.i3plus.pojo.screen.bean.rel;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午8:42
 * @desc
 */
@Entity
@Table(name = "SCR_COMPONENT_MODEL_FIELD_REL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel与Model字段的关系")
public class ScrComponentModelFieldRel extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3441031841089357196L;

    @Column(name = "PANEL_CODE")
    @ApiParam("Panel代码")
    private String panelCode;

    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

    @Column(name = "ROW_CODE")
    @ApiParam("行代码")
    private String rowCode;

    @Column(name = "COLUMN_CODE")
    @ApiParam("列代码")
    private String columnCode;

    @Column(name = "COMPONENT_CODE")
    @ApiParam("组件代码")
    private String componentCode;

    @Column(name = "MODEL_CODE")
    @ApiParam("model代码")
    private String modelCode;

    @Column(name = "FIELD_CODE")
    @ApiParam("字段代码")
    private String fieldCode;

    @Column(name = "DISPLAY_NAME")
    @ApiParam("字段名称")
    private String displayName;

    @Column(name = "IS_FUZZY_SEARCH")
    @ApiParam("是否支持模糊查询")
    private Boolean isFuzzySearch;

    @Column(name = "IS_SHOW_IN_NEW")
    @ApiParam("是否在新增时展示")
    private Boolean isShowInNew;

    @Column(name = "IS_SHOW_IN_EDIT")
    @ApiParam("是否在编辑时展示")
    private Boolean isShowInEdit;

    @Column(name = "IS_ALLOW_SORT")
    @ApiParam("是否支持排序")
    private Boolean isAllowSort;

    @Column(name = "FORM_SEQ")
    @ApiParam("表单顺序")
    private Integer formSeq;

    @Column(name = "TABLE_SEQ")
    @ApiParam("表格顺序")
    private Integer tableSeq;

    @Column(name = "VALIDATION")
    @ApiParam("校验")
    private String validation;

    @Column(name = "DICTIONARY")
    @ApiParam("字典")
    private String dictionary;

    @Column(name = "IS_VIRTUAL")
    @ApiParam("是否是虚拟的")
    private boolean isVirtual;

    @Column(name = "FIELD_NAME")
    @ApiParam("字段名称")
    private String fieldName;

    @Column(name = "SPEL_VIRTUAL_VALUE")
    @ApiParam("SPEL表达式虚拟属性")
    private String spelVirtualValue;


}
